> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new job

> Create a new job configuration. Use the `/spark/schema` endpoint to get the configuration schema.



## OpenAPI

````yaml /api-reference/5.9/fusion-api-job-rest-server.json post /spark/configurations
openapi: 3.0.1
info:
  title: Job REST Server API
  description: This group of APIs allows you to manage jobs, recommendations, and signals.
  contact:
    name: Lucidworks
    url: www.lucidworks.com
    email: support@lucidworks.com
  license:
    name: License of the API
    url: https://lucidworks.com/legal/developer-license-agreement/
  version: '5.9'
servers:
  - url: https://{FUSION HOST}/api
    description: Fusion
    variables:
      FUSION HOST:
        default: FUSION_HOST
        description: Your environment host.
  - url: https://{FUSION HOST}/api/apps/{APP_NAME}
    description: Fusion app
    variables:
      FUSION HOST:
        default: FUSION_HOST
        description: Your environment host.
      APP_NAME:
        default: APP_NAME
        description: The name of your Fusion application.
security:
  - Basic auth: []
  - API key: []
tags:
  - name: Recommendation Controller API
    description: Endpoints for the recommendation controller.
  - name: Signals Controller API
    description: Endpoints for the signals controller.
  - name: Spark Job Config Controller API
    description: Use these endpoints to manage Spark job configurations.
  - name: Spark Job Controller API
    description: Use these endpoints to start, stop, and check the status of Spark jobs.
externalDocs:
  description: Lucidworks Documentation
  url: https://doc.lucidworks.com/
paths:
  /spark/configurations:
    post:
      tags:
        - Spark Job Config Controller API
      summary: Create a new job
      description: >-
        Create a new job configuration. Use the `/spark/schema` endpoint to get
        the configuration schema.
      operationId: createJobConfig
      parameters:
        - name: context
          description: The app to which this job belongs.
          in: query
          required: false
          schema:
            type: string
          example: api-test-app
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SparkJobConfig'
            example:
              id: my-python-job
              script: /compare_fusion_apis.py
              type: custom_python_job
        required: true
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/SparkJobConfig'
              example:
                type: custom_python_job
                id: my-python-job
                script: /compare_fusion_apis.py
                verboseReporting: true
                updates:
                  - userId: demo-user
                    timestamp: '2025-12-03T22:06:22.179510861Z'
components:
  schemas:
    SparkJobConfig:
      type: object
      description: The job's configuration details.
      properties:
        id:
          description: The name of the job configuration.
          type: string
          example: scripted_job_example
        sparkConfig:
          description: >-
            The job's configuration details.  The configuration keys depend on
            the type of job.  Use `/spark/schema` to see the configuration
            schemas for all job types.
          type: object
          items:
            $ref: '#/components/schemas/KeyValue'
          example:
            spark.cores.max: 2
            spark.executor.memory: 1g
        type:
          description: The job type.
          type: string
      discriminator:
        propertyName: type
    KeyValue:
      type: object
      properties:
        key:
          type: string
        value:
          type: string
  securitySchemes:
    Basic auth:
      type: http
      scheme: basic
    API key:
      name: x-api-key
      type: apiKey
      in: header

````